Get the scrobbles chart
curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChart \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChart"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scrobbles": [
{
"date": "2023-11-07T05:31:56Z",
"count": 123
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<string>"
}app.rocksky.charts
Get the scrobbles chart
GET
/
app.rocksky.charts.getScrobblesChart
Get the scrobbles chart
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The DID or handle of the actor
The URI of the artist to filter by
The URI of the album to filter by
The URI of the track to filter by
The genre to filter by
Start date (ISO 8601). Defaults to 6 months ago.
End date (ISO 8601). Defaults to today.
Response
OK
Show child attributes
Show child attributes
⌘I